## python-mate 1.2.0

=== wscript ===
# -*- python -*-

import Options

import Configure
Configure.autoconfig = True

import ccroot
ccroot.USE_TOP_LEVEL = True

import Task
Task.file_deps = Task.extract_deps

import Build

VERSION = '2.28.1'
APPNAME = 'mate-python'
srcdir = '.'
blddir = 'build'

import misc
import os
import shutil
import glob
import sys
import types

def dist_hook():
    for html_file in glob.glob(os.path.join('..', 'build', 'default', 'docs', 'matevfs', 'html', '*')):
        shutil.copy2(html_file, os.path.join('docs', 'matevfs', 'html'))
    ## Copy WAF to the distdir
    assert os.path.basename(sys.argv[0]) == 'waf'
    shutil.copy(os.path.join('..', sys.argv[0]), '.')

    subprocess.Popen([os.path.join(srcdir, "generate-ChangeLog")],  shell=True).wait()
    try:
        os.chmod(os.path.join(srcdir, "ChangeLog"), 0644)
    except OSError:
        pass
    shutil.copy(os.path.join(srcdir, "ChangeLog"), '.')


def set_options(opt):
    opt.tool_options('compiler_cc')
    opt.tool_options('mate')
    opt.tool_options('gnu_dirs')
    opt.tool_options('cflags')

    opt.add_option('--enable-modules',
                   help=('Enable only the specified modules.'),
                   type="string", default='all', metavar="MODULES_LIST (comma separated)",
                   dest='enable_modules')


def configure(conf):
    conf.check_tool('misc')
    conf.check_tool('compiler_cc')
    conf.check_tool('mate')
    conf.check_tool('python')
    conf.check_tool('command')
    conf.check_tool('pkgconfig')
    conf.check_tool('gnu_dirs')
    conf.check_tool('cflags')

    if sys.platform == 'darwin':
        conf.check_tool('osx')

    conf.check_python_version((2,4))
    conf.check_python_headers()
    conf.define('VERSION', VERSION)

    version = [int(s) for s in VERSION.split('.')]
    conf.define('MATE_PYTHON_MAJOR_VERSION', version[0])
    conf.define('MATE_PYTHON_MINOR_VERSION', version[1])
    conf.define('MATE_PYTHON_MICRO_VERSION', version[2])

    # Define pygtk required version, for runtime check
    pygtk_version = [2, 10, 3]
    conf.define('PYGTK_REQUIRED_MAJOR_VERSION', pygtk_version[0])
    conf.define('PYGTK_REQUIRED_MINOR_VERSION', pygtk_version[1])
    conf.define('PYGTK_REQUIRED_MICRO_VERSION', pygtk_version[2])

    conf.pkg_check_modules('PYGTK', 'pygtk-2.0 >= %s' % ('.'.join([str(x) for x in pygtk_version]),))
    conf.env['PYGTK_DEFSDIR'] = conf.pkg_check_module_variable('pygtk-2.0', 'defsdir')

    conf.pkg_check_modules('PYGOBJECT', 'pygobject-2.0 >= 2.17.0', mandatory=True)

    if not conf.find_program('pygobject-codegen-2.0', var='CODEGEN'):
        if not conf.find_program('pygtk-codegen-2.0', var='CODEGEN'):
            Params.fatal("Could not find pygobject/pygtk codegen")

    conf.env.append_value('CCDEFINES', 'HAVE_CONFIG_H')

    conf.env['ENABLE_MODULES'] = Options.options.enable_modules.split(',')
    
    conf.sub_config('matecomponent')
    conf.sub_config('mate')
    conf.sub_config('matecanvas')
    conf.sub_config('mateconf')
    conf.sub_config('matevfs')
    conf.sub_config('docs/matevfs')

    for module in conf.env['ENABLE_MODULES']:
        if module == 'all':
            continue
        if module not in conf.env['MODULES_AVAILABLE']:
            Logs.warn("Requested module %r is not available in this source tree." % module)
    if conf.env['MODULES_TO_BUILD']:
        print "** The following modules will be built:"
        for m in conf.env['MODULES_TO_BUILD']:
            print "\t%s" % m

    not_built = list(conf.env['MODULES_AVAILABLE'])
    for mod in conf.env['MODULES_TO_BUILD']:
        not_built.remove(mod)
    if not_built:
        print "** The following modules will NOT be built:"
        for m in not_built:
            print "\t%s" % m

    conf.write_config_header('config.h')
    
    for docs_module in ['matevfs']:
        d = os.path.join('docs', docs_module, 'html')
        try:
            os.mkdir(d)
        except OSError:
            pass
        #    print "* Directory %r already exists." % (d,)
        #else:
        #    print "* Creating directory %r." % (d,)


def codegen(bld, module, local_load_types=(), register=(), local_register=(), prefix=None):
    cmd = bld.new_task_gen('command',
                           source=['%s.defs' % module, '%s.override' % module],
                           target=['%s.c' % module])
    cmd.command = ['${CODEGEN}']
    cmd.command.append('--py_ssize_t-clean')
    
    for load in local_load_types:
        cmd.source.append(load)
        cmd.command.extend(['--load-types', '${SRC[%i]}' % (len(cmd.source)-1)])
    
    for reg in local_register:
        cmd.source.append(reg)
        cmd.command.extend(['--register', '${SRC[%i]}' % (len(cmd.source)-1)])

    for reg in register:
        cmd.command.extend(['--register', reg])

    if prefix:
        cmd.command.extend(['--prefix', prefix])
    else:
        cmd.command.extend(['--prefix', 'py'+module])

    cmd.command.extend(['--override', "${SRC[1]}",
                        '${SRC[0]}',
                        '>', '${TGT[0]}'])

    return cmd


def build(bld):

    # Attach the 'codegen' method to the build context
    bld.codegen = types.MethodType(codegen, bld)

    def create_pyext(bld):
        return bld.new_task_gen('cc', 'shlib', 'pyext')
    bld.create_pyext = types.MethodType(create_pyext, bld)

    ## generate and install the .pc file
    obj = bld.new_task_gen('subst')
    obj.source = 'mate-python-2.0.pc.in'
    obj.target = 'mate-python-2.0.pc'
    obj.dict = {
        'VERSION': VERSION,
        'prefix': bld.env['PREFIX'],
        'exec_prefix': bld.env['PREFIX'],
        'libdir': bld.env['LIBDIR'],
        'includedir': os.path.join(bld.env['PREFIX'], 'include'),
        'datadir': bld.env['DATADIR'],
        'datarootdir': bld.env['DATADIR'],
        }
    obj.fun = misc.subst_func
    obj.install_path = '${LIBDIR}/pkgconfig'

    ## subdirs
    bld.add_subdirs('matecomponent')
    bld.add_subdirs('mate')
    bld.add_subdirs('matecanvas')
    bld.add_subdirs('mateconf')
    bld.add_subdirs('matevfs')
    bld.add_subdirs('docs/matevfs')


def shutdown():
    env = Build.bld.env
    if Options.commands['check']:
        _run_tests(env)


def _run_tests(env):
    import pproc as subprocess
    import shutil
    builddir = os.path.join(blddir, env.variant())
    # copy the __init__.py files
    for subdir in ["matecomponent", "mate", "matevfs"]:
        src = os.path.join(subdir, "__init__.py")
        dst = os.path.join(builddir, subdir)
        shutil.copy(src, dst)
    os_env = dict(os.environ)
    if 'PYTHONPATH' in os_env:
        os_env['PYTHONPATH'] = os.pathsep.join([builddir, os_env['PYTHONPATH']])
    else:
        os_env['PYTHONPATH'] = builddir
    cmd = [#'gdb', '--args',
           env['PYTHON'], os.path.join('tests', 'runtests.py'), builddir]
    retval = subprocess.Popen(cmd, env=os_env).wait()
    if retval:
        sys.exit(retval)

=== mate/wscript ===
# -*- python -*-
# encoding: utf-8

import os

def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'mate')
    conf.env.append_value('MODULES_AVAILABLE', 'mate.ui')

    if 'mate' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('MATE',
                                  'libmate-2.0 >= 2.8.0 pygobject-2.0',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'mate')

    if 'mate.ui' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('MATEUI',
                                  'libmateui-2.0 >= 2.8.0 pygobject-2.0',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'mate.ui')

def build(bld):
    env = bld.env
    
    if 'mate' in bld.env['MODULES_TO_BUILD']:
        py = bld.new_task_gen('py')
        py.install_path = '${PYTHONDIR}/gtk-2.0/mate'
        py.source = "__init__.py canvas.py vfs.py"

        bld.codegen('mate', local_load_types=['../matecomponent/matecomponent-arg-types.py'],
                    local_register=['mate-types.defs',
                                    '../matecanvas/canvas.defs',
                                    '../matecomponent/matecomponent-types.defs'],
                    register=[os.path.join(env['PYGTK_DEFSDIR'], 'pango-types.defs'),
                              os.path.join(env['PYGTK_DEFSDIR'], 'gdk-types.defs'),
                              os.path.join(env['PYGTK_DEFSDIR'], 'gtk-types.defs')],
                    prefix='pymate')

        pyext = bld.create_pyext()
        pyext.source = 'matemodule.c mate.c'
        pyext.target = '_mate'
        pyext.uselib = 'MATE'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0/mate'

        bld.install_files('${DATADIR}/pygtk/2.0/defs',
                          ['mate.defs',
                           'mate-types.defs',
                           ])

    
    if 'mate.ui' in bld.env['MODULES_TO_BUILD']:
        bld.codegen('ui', local_load_types=['../matecomponent/matecomponent-arg-types.py'],
                    local_register=['mate-types.defs',
                                    '../matecanvas/canvas.defs',
                                    '../matecomponent/matecomponent-types.defs'],
                    register=[os.path.join(env['PYGTK_DEFSDIR'], 'pango-types.defs'),
                              os.path.join(env['PYGTK_DEFSDIR'], 'gdk-types.defs'),
                              os.path.join(env['PYGTK_DEFSDIR'], 'gtk-types.defs')],
                    prefix='pyui')

        pyext = bld.create_pyext()
        pyext.source = 'uimodule.c ui.c'
        pyext.target = 'ui'
        pyext.uselib = 'MATEUI'
        pyext.includes = '. ../matevfs'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0/mate'

        bld.install_files('${DATADIR}/pygtk/2.0/defs', 'ui.defs')

=== matecanvas/wscript ===
# -*- python -*-
# encoding: utf-8

import os

def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'matecanvas')
    
    if 'matecanvas' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('MATECANVAS', 'libmatecanvas-2.0 >= 2.8.0 pygobject-2.0 ',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'matecanvas')


def build(bld):
    env = bld.env
    if 'matecanvas' in env['MODULES_TO_BUILD']:
        bld.codegen('canvas', local_load_types=['../matecomponent/matecomponent-arg-types.py'],
                    local_register=['../mate/mate-types.defs',
                                    'canvas.defs',
                                    '../matecomponent/matecomponent-types.defs'],
                    register=[os.path.join(env['PYGTK_DEFSDIR'], 'pango-types.defs'),
                              os.path.join(env['PYGTK_DEFSDIR'], 'gdk-types.defs'),
                              os.path.join(env['PYGTK_DEFSDIR'], 'gtk-types.defs')])

        pyext = bld.create_pyext()
        pyext.source = 'canvasmodule.c canvas.c'
        pyext.target = 'matecanvas'
        pyext.uselib = 'MATECANVAS'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0'

        bld.install_files('${DATADIR}/pygtk/2.0/defs',
                          ['canvas.defs'])

=== matecomponent/wscript ===
# -*- python -*-
# encoding: utf-8

import os

def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'matecomponent')
    conf.env.append_value('MODULES_AVAILABLE', 'matecomponent.ui')

    if 'matecomponent' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('MATECOMPONENT',
                                  'libmatecomponent-2.0 >= 2.8.0 pygobject-2.0 pymatecorba-2 >= 2.0.1',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'matecomponent')

    if 'matecomponent.ui' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('MATECOMPONENTUI',
                                  'libmatecomponentui-2.0 >= 2.8.0 pygobject-2.0 pymatecorba-2 >= 2.0.1',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'matecomponent.ui')


def build(bld):
    env = bld.env
    
    if 'matecomponent' in bld.env['MODULES_TO_BUILD']:
        py = bld.new_task_gen('py')
        py.install_path = '${PYTHONDIR}/gtk-2.0/matecomponent'
        py.source = "__init__.py"

        bld.codegen('matecomponent', local_load_types=['matecomponent-arg-types.py'],
                    local_register=['../mate/mate-types.defs',
                                    '../matecanvas/canvas.defs',
                                    'matecomponent-types.defs'],
                    register=[os.path.join(env['PYGTK_DEFSDIR'], 'pango-types.defs'),
                              os.path.join(env['PYGTK_DEFSDIR'], 'gdk-types.defs'),
                              os.path.join(env['PYGTK_DEFSDIR'], 'gtk-types.defs')])

        pyext = bld.create_pyext()
        pyext.source = 'matecomponentmodule.c matecomponent.c matecomponent-arg.c pymatecomponent.c'
        pyext.target = '_matecomponent'
        pyext.uselib = 'MATECOMPONENT'
        pyext.includes = '.'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0/matecomponent'

        defsdir = bld.install_files('${DATADIR}/pygtk/2.0/defs',
                                    ['matecomponent.defs',
                                     'matecomponent-types.defs',
                                     ])

        pyext = bld.create_pyext()
        pyext.source = 'activationmodule.c'
        pyext.target = 'activation'
        pyext.uselib = 'MATECOMPONENT'
        pyext.includes = '.'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0/matecomponent'

    
    if 'matecomponent.ui' in bld.env['MODULES_TO_BUILD']:
        bld.codegen('matecomponentui', local_load_types=['matecomponent-arg-types.py'],
                    local_register=['../mate/mate-types.defs',
                                    '../matecanvas/canvas.defs',
                                    'matecomponent-types.defs'],
                    register=[os.path.join(env['PYGTK_DEFSDIR'], 'pango-types.defs'),
                              os.path.join(env['PYGTK_DEFSDIR'], 'gdk-types.defs'),
                              os.path.join(env['PYGTK_DEFSDIR'], 'gtk-types.defs')])

        pyext = bld.create_pyext()
        pyext.source = 'matecomponentuimodule.c matecomponentui.c'
        pyext.target = 'ui'
        pyext.uselib = 'MATECOMPONENTUI'
        pyext.includes = '.'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0/matecomponent'

        defsdir = bld.install_files('${DATADIR}/pygtk/2.0/defs',
                                    ['matecomponentui.defs',
                                     'matecomponentui-types.defs',
                                     ])

    bld.install_files('${DATADIR}/pygtk/2.0/argtypes', 'matecomponent-arg-types.py')

=== mateconf/wscript ===
# -*- python -*-
# encoding: utf-8

import os

def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'mateconf')
    if 'mateconf' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('MATECONF', 'mateconf-2.0 >= 2.12 pygobject-2.0',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'mateconf')


def build(bld):
    
    if 'mateconf' in bld.env['MODULES_TO_BUILD']:
        bld.codegen('mateconf', local_load_types=['mateconf-arg-types.py'])
        pyext = bld.create_pyext()
        pyext.source = 'mateconfmodule.c mateconf.c mateconf-fixes.c mateconf-types.c'
        pyext.target = 'mateconf'
        pyext.uselib = 'MATECONF'
        pyext.includes = '.'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0'

        bld.install_files('${DATADIR}/pygtk/2.0/defs',
                          ['mateconf.defs'])

        bld.install_files('${DATADIR}/pygtk/2.0/argtypes',
                          'mateconf-arg-types.py')

=== matevfs/wscript ===
# -*- python -*-
# encoding: utf-8

import os

def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'matevfs')
    conf.env.append_value('MODULES_AVAILABLE', 'matevfs.matecomponent')
    conf.env.append_value('MODULES_AVAILABLE', 'matevfs.module')

    if 'matevfs' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('MATEVFS', 'mate-vfs-2.0 >= 2.14 pygobject-2.0',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'matevfs')

    if 'matevfs.matecomponent' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('MATEVFSMATECOMPONENT', 'mate-vfs-2.0 >= 2.14 matecomponent-activation-2.0 >= 2.8.0'
                                  ' pymatecorba-2 >= 2.0.1 pygobject-2.0',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'matevfs.matecomponent')

    if 'matevfs.module' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('MATEVFSMODULE', 'mate-vfs-module-2.0 >= 2.14 matecomponent-activation-2.0 >= 2.8.0'
                                  ' pymatecorba-2 >= 2.0.1 pygobject-2.0',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'matevfs.module')


def build(bld):
    
    if 'matevfs' in bld.env['MODULES_TO_BUILD']:
        vfsdir = '${PYTHONDIR}/gtk-2.0/matevfs'
        py = bld.new_task_gen('py')
        py.install_path = vfsdir
        py.source = "__init__.py"

        pyext = bld.create_pyext()
        pyext.source = '''
vfsmodule.c vfs-uri.c vfs-file-info.c vfs-dir-handle.c
vfs-handle.c vfs-xfer-progress-info.c vfs-context.c
vfs-async-handle.c vfs-volume.c vfs-drive.c vfs-volume-monitor.c
'''
        pyext.target = '_matevfs'
        pyext.uselib = 'MATEVFS'
        pyext.includes = '.'
        pyext.install_path = vfsdir

    if 'matevfs.matecomponent' in bld.env['MODULES_TO_BUILD']:
        pyext = bld.create_pyext()
        pyext.source = 'vfsmatecomponentmodule.c'
        pyext.target = 'matevfsmatecomponent'
        pyext.uselib = 'MATEVFSMATECOMPONENT'
        pyext.includes = '.'
        pyext.install_path = vfsdir

    if 'matevfs.module' in bld.env['MODULES_TO_BUILD']:
        pyembed = bld.new_task_gen('cc', 'shlib', 'pyembed')
        pyembed.mac_bundle = True
        pyembed.source = 'mate-vfs-python-method.c'
        pyembed.target = 'pythonmethod'
        pyembed.uselib = 'MATEVFSMODULE'
        pyembed.includes = '.'
        pyembed.install_path = '${LIBDIR}/mate-vfs-2.0/modules'

        vfsmethoddir = os.path.join(pyembed.env['LIBDIR'], 'mate-vfs-2.0', 'modules')
        pyembed.env.append_value('CCDEFINES', 'MATE_VFS_PYTHON_DIR="\\"%s\\""' % vfsmethoddir)

    bld.install_files('${PREFIX}/include/mate-python-2.0',
                      ['pymatevfs.h', 'pymatevfsmatecomponent.h'])

=== docs/matevfs/wscript ===
# -*- python -*-
import os
import glob

def configure(conf):
    conf.find_program('xsltproc', var='XSLTPROC')

def build(bld):
    env = bld.env
    reference_doc_name = 'pymatevfs'

    d = bld.path.find_dir('html').abspath()
    if env['XSLTPROC'] and not os.path.exists(os.path.join(d, 'index.html')):
        doc_module = 'pymatevfs'
        html_dir = os.path.join(bld.env['DATADIR'], 'gtk-doc', 'html')
        target_dir = os.path.join('html_dir', reference_doc_name)

        reference_main_file = 'matevfs-classes.xml'

        cmd = bld.new_task_gen('command',
                               target='html/index.html',
                               source='../ref-html-style.xsl matevfs-classes.xml',
                               command=(
                '${XSLTPROC} --nonet --xinclude -o ${TGT[0].parent}/'
                ' --stringparam gtkdoc.bookname pymatevfs'
                ' --stringparam gtkdoc.version ${VERSION}'
                ' --stringparam chunker.output.encoding UTF-8'
                ' ${SRC[0]} ${SRC[1]}'))

        #cmd = bld.new_task_gen('command',
        #                       target='html/matevfs-class-reference.html',
        #                       source='html/index.html',
        #                       command='gtkdoc-fixxref --module-dir=${TGT[0].parent} --html-dir=${HTMLDIR}',
        #                       variables=dict(HTMLDIR=html_dir))

    # install html files from either the build dir or the source dir, whichever is found
    html_files = glob.glob(os.path.join(bld.path.find_dir('html').abspath(env), '*'))
    html_files += glob.glob(os.path.join(bld.path.find_dir('html').abspath(), '*'))
    bld.install_files('${DATADIR}/gtk-doc/html/%s' % reference_doc_name,
                      html_files)

=== debian/changelog ===
python-mate (1.2.0-3+precise) precise; urgency=low

  * Rebuild for precise. 

 -- Steve Zesch <stevezesch2@gmail.com>  Fri, 30 Mar 2012 21:17:09 -0400

python-mate (1.2.0-2) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 09 Mar 2012 00:49:00 +0100

python-mate (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 12 Dec 2011 14:39:24 +0100

python-mate (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Switched to autogen.sh.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 17 Nov 2011 22:27:50 +0100

python-mate (1.0.1-1) unstable; urgency=low

  * Initial release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 07 Nov 2011 16:04:17 +0100

=== debian/control ===
Source: python-mate
Section: python
Priority: optional
Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
Uploaders: Steve Zesch <stevezesch2@gmail.com>
Build-Depends: debhelper (>= 8),
               cdbs,
               python-all-dev,
               python-gobject-dev,
               python-gtk2-dev,
               python-corba,
               libglib2.0-dev,
               libgtk2.0-dev,
               mate-common,
               libmate-dev,
               libmateui-dev,
               libmatecanvas-dev,
               libmatevfs-dev,
               libmateconf-dev,
               libmatecomponent-dev,
               libmatecomponentui-dev,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libavahi-client-dev,
               libavahi-common-dev,
               libavahi-glib-dev,
               libselinux1-dev,
               libgcrypt11-dev, 
               gtk-doc-tools
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
Homepage: http://www.mate-desktop.org/

Package: python-mate
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gtk2,
         python-corba,
         python-gobject
Description: Python bindings for the MATE desktop environment
 This archive contains modules that allow you to write Python programs
 using the MATE libraries: MateVFS, libmatecomponent, libmate, libmateui and 
 libmatecanvas.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_SCRIPT := ./autogen.sh

DEB_CONFIGURE_EXTRA_FLAGS += --disable-static

DEB_DH_INSTALL_ARGS += --list-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
http://pub.mate-desktop.org/releases/(\d\.\d)/python-mate-([\.\d]*)\.tar\.xz

## python-mate 1.4.0

=== debian/changelog ===
python-mate (1.4.0-1) unstable; urgency=low

  * New upstream release. 

 -- Steve Zesch <stevezesch2@gmail.com>  Sun, 15 Jul 2012 21:13:55 -0400

python-mate (1.2.0-3) unstable; urgency=low

  * Rebuild for precise. 

 -- Steve Zesch <stevezesch2@gmail.com>  Fri, 30 Mar 2012 21:17:09 -0400
